Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


format r.b Empty
Ton bloc notes
Derniers sujets
» [ ARCHICAD ] Probléme de point zéro
par Tom Capde Ven 30 Juil 2021 - 16:33

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Ven 30 Juil 2021 - 10:21

» [ ARCHICAD ] Zone Internal/External - Nomenclatures
par Archi43 Jeu 29 Juil 2021 - 15:25

» [ SKETCHUP tutos ] Extension TRUEBEND- Cintrer (Rouler) - Courber - Arrondir n'importe quelle forme
par jerryvento Mar 27 Juil 2021 - 17:13

» [ SKETCHUP plugins ] Material Browser
par JDD Sam 24 Juil 2021 - 19:47

» [ AUTRES LOGICIELS ] Sketchfab fait désormais partie d'Epic Games
par simjoubert Ven 23 Juil 2021 - 18:06

» [ SKETCHUP tutos ] Dessiner une Toiture, Toit, Pyramide + Fusionner des Groupes : Outil Enveloppe
par jerryvento Ven 23 Juil 2021 - 17:13

» [ SKETCHUP généralité ] Dessiner une Toiture, Toit, Pyramide + Fusionner des Groupes : Outil Enveloppe
par jerryvento Ven 23 Juil 2021 - 15:08

» [ SKETCHUP généralité ] Annonce 3D Warehouse
par jerryvento Ven 23 Juil 2021 - 15:06

» [ SKETCHUP généralité ] Disparition de Certaines Fonctions du menu contextuel
par tenrev Ven 23 Juil 2021 - 13:32

» [ SKETCHUP plugins/Extensions ] TRUEBEND- Cintrer (Rouler) - Courber - Arrondir n'importe quelle forme
par jerryvento Jeu 22 Juil 2021 - 11:26

» [ TWINMOTION ] Nouvelle version 2021.1.3
par Coulou Jeu 22 Juil 2021 - 9:42

» [ ARCHICAD ] Archicad 25
par Coulou Jeu 22 Juil 2021 - 9:30

» [ ENSCAPE ] sortie de la version 3.1
par simjoubert Jeu 22 Juil 2021 - 0:39

» [ AUTRES LOGICIELS ] Expresii : l'aquarelle digitale
par Pilou Lun 19 Juil 2021 - 11:19

» [ SKETCHUP tutos ] Dessiner des emboitures à onglet avec rainures ou languettes pour des portes, des tables...
par jerryvento Lun 19 Juil 2021 - 9:50

» [ SKETCHUP généralité ] Dessiner des emboitures à onglet avec rainures ou languettes pour des portes, tables...
par jerryvento Lun 19 Juil 2021 - 9:49

» [ AUTRES LOGICIELS ] 3D COAT 2021
par tenrev Jeu 15 Juil 2021 - 9:13

» [ ARCHICAD ] Ebrasement oblique sur fenetre ancienne
par Ben3d Mer 14 Juil 2021 - 11:33

» [ ARCHICAD ] Création d'étiquettes personnalisées
par Coulou Mer 14 Juil 2021 - 8:58

» [ SKETCHUP plugins ] Clipping Fix
par Samuel Tallet Mar 13 Juil 2021 - 13:32

» [ ARTLANTIS ] Probléme rendu matériaux
par freroil Mar 13 Juil 2021 - 11:19

» [ PRESENTATION ] Lolool Touraine
par freroil Lun 12 Juil 2021 - 15:24

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Dim 11 Juil 2021 - 0:42

» [ SKETCHUP Layout ] Cotation des Cercles et Congés
par JDD Sam 10 Juil 2021 - 10:03

» [ SKETCHUP généralité ] Problème zoom
par Samuel Tallet Ven 9 Juil 2021 - 19:13

» [ PRESENTATION ] Ben du Luxembourg
par freroil Ven 9 Juil 2021 - 15:56

» [ AUTRES LOGICIELS ] PolyCad : Oh mon bateau! Nurbs (free)
par Pilou Ven 9 Juil 2021 - 1:36

» [ AUTRES LOGICIELS ] Windows 11 pour 2021 ?
par tenrev Jeu 8 Juil 2021 - 20:37

» [ SKETCHUP Layout ] formules automatiques "scènes"
par JDD Jeu 8 Juil 2021 - 14:37

» [SKETCHUP Généralité] Plier n'importe quoi (2ème tuto) avec Radial Bending de l'extension FredoScale de Fredo6
par jerryvento Mer 7 Juil 2021 - 10:32

» [ SKETCHUP tutos ] Plier n'importe quoi (2ème tuto) avec Radial Bending de l'extension FredoScale de Fredo6
par jerryvento Mar 6 Juil 2021 - 15:35

» [ WIP ]Mon petit labo...by ogi
par ogi Mar 6 Juil 2021 - 15:29

» [ SKETCHUP généralité ] Warehouse ne fonctione plus avec SKU 2017 et 2018
par jerryvento Lun 5 Juil 2021 - 11:08

» [ SKETCHUP plugins ] Elimination du Clipping (Ecrêtage) en projection Parallèle
par Pilou Jeu 1 Juil 2021 - 10:27

format r.b

Voir le sujet précédent Voir le sujet suivant Aller en bas

william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Dim 26 Sep 2010 - 20:47

salut a tout le monde.

je cherche un programme pour lire un scrip r.b.
pour installer un plugin sketchup.

merci.

#-----------------------------------------------------------------------------
# polar_zonohedron v 1.0
# Copyright 2010, Rob Bell
# author: Rob Bell
#
# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided the above
# copyright notice appear in all copies
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------


require "sketchup.rb"

include Math

def polar_zonohedron #frequency, pitch = atan(sqrt(2)/2), len = 1.0 # frequency,pitch,length


mo = Sketchup.active_model
mo.start_operation $exStrings.GetString("polar_zonohedron")


prompts = [$exStrings.GetString("Frequency"), $exStrings.GetString("Pitch in radians"), $exStrings.GetString("Length")]
values = [8, "atan( sqrt(2)/2 )", 12.inch]
results = inputbox prompts, values, $exStrings.GetString("Polar Zonohedron")

return if not results # This means that the user canceld the operation

frequency = results[0]
pitch = eval( results[1] )
len = results[2]


ents = mo.active_entities
grp = ents.add_group
ents = grp.entities

pts=[]

#we begin by setting pts[0] to the origin
pts[0] = Geom::Point3d.new(0,0,0)

vector = Geom::Vector3d.new(cos(pitch),0,sin(pitch) ) #tilt pitch vector up the xz plane
vector.length = len

#Using the origin as the initial generator we iterate thru each zone of the zonohedron
#our first task is to define the four points of the base rhomb for this zone
#at the end the pts[3] becomes our new origin for the rhomb of the next zone
1.upto(frequency-1){ |i|
p_rotate = Geom::Transformation.rotation( pts[0] , Geom::Vector3d.new(0,0,1), i*2*PI/frequency )

#obtain the other three points of the rhomb face
pts[1] = pts[0].transform vector
pts[3] = pts[1].transform( p_rotate )
pts[2] = pts[3].transform( vector )

#we now have the 4 points which make this zone's base rhomb
#so we rotate around the origin frequency times making a star pattern of faces
0.upto(frequency-1){ |j|
f_rotate = Geom::Transformation.rotation( Geom::Point3d.new(0,0,0) , Geom::Vector3d.new(0,0,1), j*2*PI/frequency )
ents.add_face( pts.collect{|p| p.transform(f_rotate)} )
}

#set the origin for the rhomb of the next zone
pts[0] = pts[3]

}
mo.commit_operation
end




if( not file_loaded?("polar_zonohedron.rb") )
add_separator_to_menu("Plugins")
UI.menu("Plugins").add_item($exStrings.GetString("Polar Zonohedron")) { polar_zonohedron }
end
#-----------------------------------------------------------------------------
file_loaded("polar_zonohedron.rb")


tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17951
Points : 30390
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Dim 26 Sep 2010 - 21:17

tu n'as pas besoin de programme spécifique il faut juste mettre ton fichier rb dans le répertoire plugin de sketchup et lors du démarrage de SU le plugin sera chargé en mémoire et sera utilisable aurevoir

mais j'ai peut être dit une connerie et pas bien compris ta question fou

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
ploum
ploum
V.I.P.
V.I.P.
Masculin Humeur : une autre question ?
Date d'inscription : 25/10/2009
Nombre de messages : 1142
Points : 1288
Age : 60
Localisation : Saint André de Cruzières, Ardèche
Emploi : menuisier, bijoux, gratte, etc.
http://g.fevre.free.fr

Messageploum Dim 26 Sep 2010 - 21:44

juste : .rb
pas r.b.
:icon_wink:

-------------------------------------------------------------------------------------------------------------------------
" heureux les fêlés car ils laissent passer la lumière "
[Vous devez être inscrit et connecté pour voir cette image]
william bilcot
william bilcot
Loquace
Loquace
Masculin Date d'inscription : 14/10/2009
Nombre de messages : 53
Points : 81
Age : 44
Localisation : bretagne
Emploi : charpentier

Messagewilliam bilcot Mar 28 Sep 2010 - 21:20

bonsoir.

j'ai essayé de copier et coller le plungin, mais il ne veut pas ce coller dans le fichier plugin sketchup.
c'est pour cela que je vous demandé s'il fallait transformer le rb que j'ai mis sur mon premier message en ?????
aurevoir
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mar 28 Sep 2010 - 21:44

Salut William,

tu le télécharges ici => [Vous devez être inscrit et connecté pour voir ce lien]
tu cliques sur "Enregister" et tu l'enregistres dans le répertoire Plugins de Sketchup (Généralement => C:\Program Files\Google\Google SketchUp 7\Plugins) et tu redémarres Sketchup

@+

Christophe
Fab
Fab
modérateur
modérateur
Masculin Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4776
Points : 5348
Age : 54
Localisation : Normandie
Emploi : Dessinateur en bâtiment et génie civil

MessageFab Mer 29 Sep 2010 - 8:06

Salut William, j'aime beaucoup ton avatar cela me rappelle quand je relevais des charpentes dans de veilles longères.... aurevoir

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie,ne pas reconnaître son talent,c'est favoriser la réussite des médiocres.  [Vous devez être inscrit et connecté pour voir cette image]
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum